package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 交易状态 pending 交易处理中 succeeded 交易成功 failed 交易失败
 * @Author: liweifan
 * @Data: 2022/3/31 14:59
 */
public enum TradeStatusEnum implements BaseEnum<String, TradeStatusEnum> {
    pending("pending","交易处理中"),
    succeeded("succeeded","交易成功"),
    failed("failed","交易失败")
    ;
    @EnumValue
    private String code;
    private String msg;

    TradeStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
